class FilteredResult:
    def __init__(self, result: list = None, total_count: int = 0):
        self._result = [] if result is None else result
        self._total_count = total_count

    @property
    def result(self) -> list:
        return self._result

    @result.setter
    def result(self, value: list):
        self._result = value

    @property
    def total_count(self) -> int:
        return self._total_count

    @total_count.setter
    def total_count(self, value: int):
        self._total_count = value
